// GFX.SHADER
// 
// this file contains shaders that are used by the programmers to
// generate special effects not attached to specific geometry.  This
// also has 2D shaders such as fonts, etc.
//

// the REGION shader is generated by the map editor on temporary
// brushes around a selected area for testing parts of maps


//
// special effects as seen on players
//

powerups/RedShade
{
	deformVertexes wave 100 sin 1 0 0 0
	{
		map textures/effects/quadmap2red.jpg
                //map textures/sfx/specular.jpg
		tcGen environment
		tcMod turb 0 0.03 0 0.1
                tcmod rotate 333
                tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
	}
}

powerups/BlueShade
{
	deformVertexes wave 100 sin 1 0 0 0
	{
		map textures/effects/quadmap2.jpg
                //map textures/sfx/specular.jpg
		tcGen environment
		tcMod turb 0 0.03 0 0.1
                tcmod rotate 333
                tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
	}
}

powerups/GreenShade
{
	deformVertexes wave 100 sin 1 0 0 0
	{
		map textures/effects/envmaprail.jpg
                //map textures/sfx/specular.jpg
		tcGen environment
		tcMod turb 0 0.03 0 0.1
                tcmod rotate 333
                tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
	}
}

powerups/PurpleShade
{
	deformVertexes wave 100 sin 1 0 0 0
	{
		map textures/effects/envmapplas.jpg
                //map textures/sfx/specular.jpg
		tcGen environment
		tcMod turb 0 0.03 0 0.1
                tcmod rotate 333
                tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
	}
}

powerups/blue2Shade
{
	deformVertexes wave 100 sin 1 0 0 0
	{
		map textures/effects/envmapbfg.jpg
                //map textures/sfx/specular.jpg
		tcGen environment
		tcMod turb 0 0.03 0 0.1
                tcmod rotate 333
                tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
	}
}

powerups/blue3Shade
{
	deformVertexes wave 100 sin 1 0 0 0
	{
		map textures/effects/envmapblue2.jpg
                //map textures/sfx/specular.jpg
		tcGen environment
		tcMod turb 0 0.03 0 0.1
                tcmod rotate 333
                tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
	}
}

powerups/goldShade
{
	deformVertexes wave 100 sin 1 0 0 0
	{
		map textures/effects/envmapgold2.jpg
                //map textures/sfx/specular.jpg
		tcGen environment
		tcMod turb 0 0.03 0 0.1
                tcmod rotate 333
                tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
	}
}

powerups/gold2Shade
{
	deformVertexes wave 100 sin 1 0 0 0
	{
		map textures/effects/envmapgold.jpg
                //map textures/sfx/specular.jpg
		tcGen environment
		tcMod turb 0 0.03 0 0.1
                tcmod rotate 333
                tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
	}
}

powerups/yellowShade
{
	deformVertexes wave 100 sin 1 0 0 0
	{
		map textures/effects/envmapligh.jpg
                //map textures/sfx/specular.jpg
		tcGen environment
		tcMod turb 0 0.03 0 0.1
                tcmod rotate 333
                tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
	}
}

powerups/yellow2Shade
{
	deformVertexes wave 100 sin 1 0 0 0
	{
		map textures/effects/envmapmach.jpg
                //map textures/sfx/specular.jpg
		tcGen environment
		tcMod turb 0 0.03 0 0.1
                tcmod rotate 333
                tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
	}
}

powerups/Purple2Shade
{
	deformVertexes wave 100 sin 1 0 0 0
	{
		map textures/effects/envmappurp.jpg
                //map textures/sfx/specular.jpg
		tcGen environment
		tcMod turb 0 0.03 0 0.1
                tcmod rotate 333
                tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
	}
}

powerups/red2Shade
{
	deformVertexes wave 100 sin 1 0 0 0
	{
		map textures/effects/envmapred.jpg
                //map textures/sfx/specular.jpg
		tcGen environment
		tcMod turb 0 0.03 0 0.1
                tcmod rotate 333
                tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
	}
}

powerups/red3Shade
{
	deformVertexes wave 100 sin 1 0 0 0
	{
		map textures/effects/envmaproc.jpg
                //map textures/sfx/specular.jpg
		tcGen environment
		tcMod turb 0 0.03 0 0.1
                tcmod rotate 333
                tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
	}
}

powerups/yellow3Shade
{
	deformVertexes wave 100 sin 1 0 0 0
	{
		map textures/effects/envmapyel.jpg
                //map textures/sfx/specular.jpg
		tcGen environment
		tcMod turb 0 0.03 0 0.1
                tcmod rotate 333
                tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
	}
}

powerups/red2Shade
{
	deformVertexes wave 100 sin 1 0 0 0
	{
		map textures/effects/regenmap2.jpg
                //map textures/sfx/specular.jpg
		tcGen environment
		tcMod turb 0 0.03 0 0.1
                tcmod rotate 333
                tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
	}
}

powerups/UbotIcon
{
	nomipmaps
	nopicmip
	{
		map textures/effects/uboticon.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}